export declare class Broadcast {
    private eventEmitter;
    mediators: {
        [mediatorName: string]: {
            [notificationName: string]: Function;
        };
    };
    constructor();
    private getMediator(mediatorName);
    addListener(notificationName: string, listener: Function, mediatorName: string): void;
    sendNotification(notificationName: string, params?: any): void;
    removeListener(notificationName: string, mediatorName: string): void;
    removeAllListeners(mediatorName: string): void;
}
