import { CommandMap } from "../../models/command.map";
import { ProxyMap } from "../../models/proxy.map";
export declare class Facade {
    static commandMaps: CommandMap[];
    static proxyMaps: ProxyMap[];
    private static broadcast;
    static registerCommand(notificationName: string, commandClassRef: any): void;
    static getCommand(commandClassRef: any): any;
    private static getCommandMap(commandClassRef);
    static registerProxy(proxyClassRef: any, realSubject?: any): void;
    static hasProxy(proxyClassRef: any): boolean;
    static getProxy(proxyClassRef: any): any;
    private static getProxyMap(proxyClassRef);
    static sendNotification(notificationName: string, params?: any): void;
    static addListener(notificationName: string, listener: Function, mediatorName: string): void;
    static removeListener(notificationName: string, mediatorName: string): void;
    static removeAllListeners(mediatorName: string): void;
}
